Skip to main content
GET
/
webarchive
/
dump
/
{dump_id}
Get data snapshot (dump) status
curl --request GET \
  --url https://api.brightdata.com/webarchive/dump/{dump_id} \
  --header 'Authorization: Bearer <token>'
{
  "dump_id": "ucd_abc123-1234567890",
  "id": "ucd_abc123-1234567890",
  "status": "in_progress",
  "created": "2026-02-05T07:57:50.947Z",
  "search_id": "ucd_xyz789",
  "readiness": "22.31%",
  "batches_total": 130,
  "batches_uploaded": 28,
  "files_total": 1241241251,
  "files_uploaded": 345234234
}

Authorizations

Authorization
string
header
required

Use your Bright Data API Key as a Bearer token in the Authorization header.

How to authenticate:

  1. Obtain your API Key from the Bright Data account settings at https://brightdata.com/cp/setting/users
  2. Include the API Key in the Authorization header of your requests
  3. Format: Authorization: Bearer YOUR_API_KEY

Example:

Authorization: Bearer b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07df

Learn how to get your Bright Data API key: https://docs.brightdata.com/api-reference/authentication

Path Parameters

dump_id
string
required

Unique identifier for the data snapshot (dump)

Example:

"ucd_abc123-1234567890"

Response

Dump status response

dump_id
string
required

Unique identifier for the dump

id
string
required

Same as dump_id (included for compatibility)

status
enum<string>
required

Current status of the dump

Available options:
in_progress
created
string<date-time>
required

Timestamp when the dump was created

search_id
string
required

ID of the search this dump is based on

readiness
string
required

Percentage of completion (e.g., "22.31%")

batches_total
integer
required

Total number of batches to process

batches_uploaded
integer
required

Number of batches uploaded so far

files_total
integer
required

Total number of files in the dump

files_uploaded
integer
required

Number of files uploaded so far

filters
object

Filters used to create the dump (present in list endpoint)